/*
====================================================================================================

    Copyright (C) 2020 RRe36

    All Rights Reserved unless otherwise explicitly stated.


    By downloading this you have agreed to the license and terms of use.
    These can be found inside the included license-file
    or here: https://rre36.com/copyright-license

    Violating these terms may be penalized with actions according to the Digital Millennium
    Copyright Act (DMCA), the Information Society Directive and/or similar laws
    depending on your country.

====================================================================================================
*/

/* ------ atmosphere settings ------ */
    #define volumeWorldTimeAnim

    /* --- air --- */
    #define fogVolumeEnabled
    //#define fogMistAdvanced
    #define fogDensityMult 1.0      //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]
    #define mistMieAnisotropy 0.8   //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9]
    #define fogMinSteps 8
    #define fogAdaptiveSteps 12     //[4 6 8 10 12 14 16 18]
    #define fogClipDist 384.0       //[256.0 384.0 448.0 512.0 768.0 1024.0]
    #define fogDensityMult 1.0      //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]

    /* --- clouds --- */
    #define cloudVolumeEnabled
    #define cloudDynamicLight
    //#define cloudVolumeStoryMode
    #define cloudVolumeFastMultiscatter
    #define cloudVolumeRounding 4   //[1 2 3 4 5 6 8 10 12 16 20 24 28 32]

    #define cloudVolume0Samples 14  //[6 8 10 12 14 16 18 20 22 24 26 28 30]
    #define cloudVolume0Alt 160     //[100 110 120 130 140 150 160 170 180 190 200 220 240 260 280 300]
    #define cloudVolume0Depth 14    //[2 4 6 8 10 12 14 16 18 20 22 24 26 28 30]
    #define cloudVolume0Clip 1200   //[800 1000 1200 1400 1600 1800 2000 2200 2400 2600 2800 3000]

    #define cloudVolume1Enabled
    #define cloudVolume1Samples 10  //[6 8 10 12 14 16 18 20 22 24 26 28 30]
    #define cloudVolume1Alt 300     //[240 260 280 300 320 340 360 380 400]
    #define cloudVolume1Depth 12    //[2 4 6 8 10 12 14 16 18 20 22 24 26 28 30]
    #define cloudVolume1Clip 1600   //[800 1000 1200 1400 1600 1800 2000 2200 2400 2600 2800 3000]

    /* --- water --- */
    #define overrideWaterTexture
    #define waterTextureBlend 0.3   //[0.0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8]
    #define waterColorRed 0.03      //[0.0 0.01 0.03 0.06 0.1 0.15 0.2 0.25 0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 1.0]
    #define waterColorGreen 0.2     //[0.0 0.01 0.03 0.06 0.1 0.15 0.2 0.25 0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 1.0]
    #define waterColorBlue 0.3      //[0.0 0.01 0.03 0.06 0.1 0.15 0.2 0.25 0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 1.0]
    #define waterColorAlpha 0.15    //[0.15 0.2 0.25 0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 1.0]
    #define waterParallaxEnabled
    #define waterDensity 1.0        //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]


/* ------ lighting settings ------ */
//#define directionalLMEnabled
//#define lightmapSmoothingEnabled
#define minLightLuma 0.1   //[0.0 0.05 0.1 0.2 0.3 0.4 0.5 0.75 1.0 1.25 1.5 1.75 2.0 2.5 3.0 3.5 4.0 5.0 6.0 7.0 8.0 9.0 10.0]
#define emitterRecoloring 0.5  //[0.0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0]
//#define labEmissionEnabled

    /* ------ shadow settings ------ */
    #define shadowVPSEnabled
    #define contactShadowsEnabled

    /* ------ effects settings ------ */
    #define ambientOcclusionEnabled
    #define directionalSSAO
    #define subsurfaceScatteringEnabled


/* ------ world settings ------ */
#define normalmapEnabled
#define normalmapFormat 0   //[0 1]
#define vertexAttributeFix
#define windEffectsEnabled
#define windIntensity 1.0  //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]

    /* ------ PARALLAX ------ */
    //#define pomEnabled
    #define pomSamples 32   //[8 16 32 64 128 256 512]
    #define pomShadowSamples 16     //[4 8 16 32 64]
    #define pomDepth 0.25   //[0.05 0.1 0.15 0.2 0.25 0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 1.0]

    /* --- reflections settings --- */
    #define specularBRDFEnabled
    //#define resourcepackReflectionsEnabled
    #define roughReflectionsEnabled
    #define roughReflectionSamples 4    //[2 3 4 5 6 7 8]
    #define roughReflectionsThreshold 0.6   //[0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 1.0]
    #define roughSSR_maxR 0.5           //[0.4 0.5 0.6 0.7 0.8 0.9 1.0]
    #define skyOcclusionThreshold 0.9   //[0.5 0.6 0.7 0.8 0.9 1.0]


/* ------ camera settings ------ */
#define motionblurToggle
#define motionblurSamples 8     //[4 6 8 10 12 14 16 18 20]
#define motionblurScale 1.0     //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]

//#define DoFToggle
#define DoFQuality 2    //[0 1 2]
#define DoFChromaDispersion

//#define lensFlareToggle
#define lensFlareBokehLod 2
#define lensFlareThreshold 6   //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1 2 3 4 5 6 8 10 12 14 16 18 20 25 30 35 40 45 50 60 70 80 90]

//#define legacyFlareToggle
#define legacyFlareIntensity 1.0     //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]


/* ------ post processing settings ------ */
#define taaEnabled
#define imageSharpenEnabled
#define bloomEnabled
//#define newExposure

    /* ------ exposure settings ------ */
    #define exposureMinlum 1.0     //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.2 1.4 1.6 1.8 2.0 2.2 2.4 2.6 2.8 3.0 3.5 4.0 5.0 6.0 8.0 10.0 15.0 20.0]
    #define exposureSpeed 1.0      //[0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6 1.8 2.0 2.5 3.0 4.0]
    //#define manualExposureEnabled
    #define manualExposureValue 5.0     //[0.1 0.3 0.5 1.0 1.5 2.0 3.0 4.0 5.0 6.0 7.0 8.0 9.0 10.0 12.0 14.0 16.0 18.0 20.0 25.0 30.0 40.0 50.0]
